LibreOffice: XCheckBox Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XCheckBox Interface Referencepublished

gives access to the state of a check box and makes it possible to register for events. More...

`import"XCheckBox.idl";`

Inheritance diagram for XCheckBox:

## Public Member Functions
void | addItemListener ([in] com::sun::star::awt::XItemListener l)
| registers a listener for item events. More...
void | removeItemListener ([in] com::sun::star::awt::XItemListener l)
| unregisters a listener for item events. More...
short | getState ()
| returns the state of the check box. More...
void | setState ([in] short n)
| sets the state of the check box. More...
void | setLabel ([in] string Label)
| sets the label of the check box. More...
void | enableTriState ([in] boolean b)
| enables or disables the tri state mode. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the state of a check box and makes it possible to register for events.

## Member Function Documentation

## ◆ addItemListener()

void addItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

registers a listener for item events.

## ◆ enableTriState()

void enableTriState | ( | [in] boolean | b | ) |

enables or disables the tri state mode.

## ◆ getState()

short getState | ( |  | ) |

returns the state of the check box.

See also
  com::sun::star::awt::UnoControlCheckBoxModel::State

## ◆ removeItemListener()

void removeItemListener | ( | [in] com::sun::star::awt::XItemListener | l | ) |

unregisters a listener for item events.

## ◆ setLabel()

void setLabel | ( | [in] string | Label | ) |

sets the label of the check box.

## ◆ setState()

void setState | ( | [in] short | n | ) |

sets the state of the check box.

See also
  com::sun::star::awt::UnoControlCheckBoxModel::State

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XCheckBox.idl